> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/permanent-tokenization/delete-permanent-tokens.md).

# Delete permanent tokens

### Delete Tokens <a href="#toc135036448" id="toc135036448"></a>

You can delete any tokens generated in Firstoken. The delete process receives a valid array with tokens and delete its from the vault. This process is **permanent**

{% tabs %}
{% tab title="cUrl" %}
**DELETE /v1/tokens/**

```
curl -X DELETE https://api.firstoken.co/v1/tokens \
-H 'x-api-key: YOUR_API_KEY' \
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Attributes of the request" %}
**tokens:** *\[string]*

> An array of valid Tokens.
>
> Example: \["4242428805134242", "5555557860534444"]
> {% endtab %}
> {% endtabs %}

<details>

<summary>Example JSON Request Body</summary>

```json
{
    "tokens":["4242428805134242", "5555557860534444"]
}
```

</details>

<details>

<summary>Example JSON Response</summary>

```json
{
    "status_code": 200,
    "status": "success",
    "desc": "Success",
    "data": {
        "tokens": [
            {
                "id": "4242428805134242",
                "status": "success"
            },
            {
                "id": "5555557860534444",
                "status": "success"
            }
        ]
    }
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/permanent-tokenization/delete-permanent-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
